addonName, GH_Globals = ...
GH_Globals.itemSlot = { INVTYPE_AMMO = "Ammo", INVTYPE_HEAD = "Head", INVTYPE_NECK = "Neck", INVTYPE_SHOULDER = "Shoulder", INVTYPE_BODY = "Body", INVTYPE_CHEST = "Chest", INVTYPE_ROBE = "Chest", INVTYPE_WAIST = "Waist", INVTYPE_LEGS = "Legs", INVTYPE_FEET = "Feet", INVTYPE_WRIST = "Wrist", INVTYPE_HAND = "Hands", INVTYPE_FINGER = { "Finger0", "Finger1" }, INVTYPE_TRINKET = { "Trinket0", "Trinket1" }, INVTYPE_CLOAK = "Back", INVTYPE_SHIELD = "SecondaryHand", INVTYPE_WEAPON = { "MainHand", "SecondaryHand" }, INVTYPE_2HWEAPON = "MainHand", INVTYPE_WEAPONMAINHAND = "MainHand", INVTYPE_WEAPONOFFHAND = "SecondaryHand", INVTYPE_HOLDABLE = "SecondaryHand", INVTYPE_RANGED = "MainHand", INVTYPE_RANGEDRIGHT = "MainHand" }


--Définition des Weight Values par specialisation depuis AMR--
-- DK BLOOD --
GH_Globals[250+1000] = { Armor = 8.1, Leech = 3.88, Versatility = 3.55, Stamina = 3.06, Mastery = 2.43, Haste = 2.16, Avoidance = 1.85, CriticalStrike = 1.21, Strength = 1.16,										Gem = "Armor" }

-- DK FROST --
GH_Globals[251+1000] = { Strength = 9.06, CriticalStrike = 6.24, Haste = 5.95, Mastery = 5.75, Versatility = 5.25, MainHandDps = 4.07, OffHandDps = 2.17, MovementSpeed = 0.15,										Gem = "Strength" }

-- DK UNHOLY --
GH_Globals[252+1000] = { Strength = 10.12, CriticalStrike = 7.27, Haste = 6.88, Versatility = 5.34, Mastery = 5.08, MainHandDps = 3.74, MovementSpeed = 0.47,														Gem = "Strength" }

-- DEMON HUNTER HAVOC --
GH_Globals[577+1000] = { Agility = 10.99, MainHandDps = 8.55, CriticalStrike = 7.02, Versatility = 6.05, Mastery = 5.57, Haste = 4.97, OffHandDps = 3.62, MovementSpeed = 0.36,										Gem = "Agility" }

-- DEMON HUNTER VENGEANCE --
GH_Globals[581+1000] = { Leech = 7.12, Armor =  6.02, Avoidance = 5.36, MovementSpeed = 3.2, Stamina = 2.53, Versatility = 2.04, Mastery = 1.98, Agility = 1.48, Haste = 1.4, CriticalStrike = 1.08,				Gem = "Leech" }

-- DRUID BALANCE --
GH_Globals[102+1000] = { Intellect = 10.39, Haste = 6.59, Mastery = 6.13, CriticalStrike = 6.02, Versatility = 5.98,																								Gem = "Intellect" }

-- DRUID FERAL --
GH_Globals[103+1000] = { Agility = 15.54, Mastery = 9.04, CriticalStrike = 8.87, Versatility = 8.02, Haste = 6.24, MainHandDps = 5.97, 																				Gem = "Agility" }

-- DRUID GUARDIAN --
GH_Globals[104+1000] = { Armor = 11.26, Leech = 5.63, Avoidance = 4.98, MovementSpeed = 4.08, Versatility = 2.03, Mastery = 1.75, Stamina = 1.16, CriticalStrike = 0.67, Agility = 0.22, Haste = 0.01, 				Gem = "Armor" }

-- DRUID RESTORATION --
GH_Globals[105+1000] = { Intellect = 16.51, Mastery = 11.38, Haste = 10.31, CriticalStrike = 9.77, Versatility = 9.13, Leech = 3.72, 																				Gem = "Intellect" }

-- HUNTER BEAST MASTERY --
GH_Globals[253+1000] = { Agility = 9.9, Mastery = 6.85, Haste = 6.02, CriticalStrike = 5.59, Versatility = 5.16, MainHandDps = 1.65, 																				Gem = "Agility" }

-- HUNTER MARKSMANSHIP --
GH_Globals[254+1000] = { MainHandDps = 10.1, Agility = 9.02, Mastery = 7.86, CriticalStrike = 5.99, Haste = 5.78, Versatility = 4.64, MovementSpeed = 0.2, 															Gem = "MainHandDps" }

-- HUNTER SURVIVAL --
GH_Globals[255+1000] = { Agility = 11.08, Versatility = 5.56, CriticalStrike = 5.52, Haste = 4.39, MainHandDps = 3.74, Mastery = 3.05, MovementSpeed = 0.7,															Gem = "Agility" }

-- MAGE ARCANE --
GH_Globals[62+1000] = { Intellect = 8.92, CriticalStrike = 5.71, Mastery = 5.69, Versatility = 5.42, Haste = 5.15, 																									Gem = "Intellect" }

-- MAGE FIRE --
GH_Globals[63+1000] = { Intellect = 9.69, CriticalStrike = 8.37, Mastery = 5.75, Versatility = 5.69, Haste = 5.3, 																									Gem = "Intellect" }

-- MAGE FROST --
GH_Globals[64+1000] = { Intellect = 9.69, Haste = 8.37, CriticalStrike = 7, Versatility = 5.79, Mastery = 4.76, 																									Gem = "Intellect" }

-- MONK BREWMASTER --
GH_Globals[268+1000] = { Stamina = 2.44, Leech = 2.27, Armor = 1.53, CriticalStrike = 1.35, MovementSpeed = 1.08, Haste = 0.8, Versatility = 0.73, Mastery = 0.44, Agility = 0.42, 									Gem = "Stamina" }

-- MONK MISTWEAVER --
GH_Globals[270+1000] = { Intellect = 15.81, CriticalStrike = 9.58, Versatility = 9.17, Mastery = 4.9, Haste = 4.88, Leech = 3.78 }

-- MONK WINDWALKER --
GH_Globals[269+1000] = { Agility = 13.27, Mastery = 7.61, CriticalStrike = 6.56, Versatility = 6.34, Haste = 5.28, MainHandDps = 2.08 }

-- PALADIN HOLY --
GH_Globals[65+1000] = { Intellect = 18.22, Mastery = 14.54, CriticalStrike = 13.61, Versatility = 11.1, Leech = 2.78, Haste = 0.9 }

-- PALADIN PROTECTION --
GH_Globals[66+1000] = { Armor = 3.5, Versatility = 2.07, Haste = 1.93, Mastery = 1.86, Stamina = 1.38, CriticalStrike = 1.13, Strength = 0.65 }

-- PALADIN RETRIBUTION --
GH_Globals[70+1000] = { Strength = 8.75, MainHandDps = 5.57, CriticalStrike = 5.24, Haste = 5.18, Versatility = 4.77, Mastery = 4.51 }

-- PRIEST DISCIPLINE --
GH_Globals[256+1000] = { Intellect = 16.3, Haste = 10.89, Leech = 10.16, CriticalStrike = 10.13, Versatility = 9.12, Mastery = 8.1 }

-- PRIEST HOLY --
GH_Globals[257+1000] = { Intellect = 17.76, CriticalStrike = 10.71, Mastery = 10.19, Versatility = 10.11, Haste = 4.55, Leech = 4.14 }

-- PRIEST SHADOW --
GH_Globals[258+1000] = { Intellect = 9.9, Haste = 8.8, CriticalStrike = 6.56, Mastery = 6.47, Versatility = 5.71 }

-- ROGUE ASSASSINATION --
GH_Globals[259+1000] = { Agility = 12.85, CriticalStrike = 9.03, Mastery = 8.5, Versatility = 7.21, MainHandDps = 4.66, Haste = 4.09, OffHandDps = 1.19 }

-- ROGUE OUTLAW --
GH_Globals[260+1000] = { Agility = 14.34, Versatility = 7.59, CriticalStrike = 7.25, Mastery = 6.42, MainHandDps = 4.52, Haste = 4.36, OffHandDps = 2.91, MovementSpeed = 0.91 }

-- ROGUE SUBTLETY --
GH_Globals[261+1000] = { Agility = 11.13, MainHandDps = 7.39, Mastery = 7.19, Versatility = 5.55, CriticalStrike = 5.28, Haste = 4.52, OffHandDps = 1.08 }

-- SHAMAN ELEMENTAL --
GH_Globals[262+1000] = { Intellect = 9.32, CriticalStrike = 6.55, Haste = 6.22, Versatility = 5.62, Mastery = 4.78 }

-- SHAMAN ENHANCEMENT --
GH_Globals[263+1000] = { Agility = 11.15, Mastery = 8.76, Haste = 7.14, Versatility = 5.92, CriticalStrike = 5.6, MainHandDps = 4.75, OffHandDps = 3.51, MovementSpeed = 0.57 }

-- SHAMAN RESTORATION --
GH_Globals[264+1000] = { Intellect = 15.01, CriticalStrike = 11.38, Versatility = 8.72, Haste = 7.48, Mastery = 7.22, Leech = 3.77 }

-- WARLOCK AFFLICTION --
GH_Globals[265+1000] = { Intellect = 10.13, Haste = 10.04, Mastery = 9.56, CriticalStrike = 6.25, Versatility = 6.07 }

-- WARLOCK DEMONOLOGY --
GH_Globals[266+1000] = { Haste = 12.53, Intellect = 9.42, CriticalStrike = 7.47, Versatility = 7.14, Mastery = 6.87 }

-- WARLOCK DESTRUCTION --
GH_Globals[267+1000] = { Intellect = 9.86, Haste = 7.72, Mastery = 7.58, CriticalStrike = 6.15, Versatility = 5.78 }

-- WARRIOR ARMS --
GH_Globals[71+1000] = { MainHandDps = 11.99, Strength = 10.97, Mastery = 10.71, Haste = 7.77, Versatility = 6.15, CriticalStrike = 5.15 }

-- WARRIOR PROTECTION --
GH_Globals[73+1000] = { Strength = 7.93, Haste = 7.09, Mastery = 5.48, CriticalStrike = 5.29, MainHandDps = 4.72, Versatility = 4.56, OffHandDps = 2.74 }

-- WARRIOR FURY --
GH_Globals[71+1000] = { Armor = 4.73, Strength = 4.25, Versatility = 3.29, Mastery = 2.45, Leech = 2.01, Stamina = 1.13, Avoidance = 0.83, Haste = 0.8, CriticalStrike = 0.78, MainHandDps = 0.46 }




------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--Définitions Weight Values Noxxic--
-- DK BLOOD NOX --
--GH_Globals[250] = { Stamina = 12.06, Strength = 9.06, Haste = 7.57, Versatility = 6.06, Mastery = 4.56, CriticalStrike = 3.06 }
stats = "Stamina [12.06] > Strength [9.06] > Haste [7.56] > Versatility [6.06] > Mastery [4.56] > Crit [3.06]"
initTab(stats, 250)

-- DK FROST NOX --
--GH_Globals[251] = { Strength = 9.07, Haste = 7.57, CriticalStrike = 6.07, Versatility = 4.57, Mastery = 3.07 }
stats = "Strength [9.07] > Haste [7.57] > Crit [6.07] > Versatility [4.57] > Mastery [3.07]"
initTab(stats, 251)

-- DK UNHOLY NOX --
--GH_Globals[252] = { Strength = 9.07, CriticalStrike = 7.57, Haste = 6.07, Mastery = 4.57, Versatility = 3.07 }
stats = "Strength [9.07] > Crit [7.57] > Haste [6.07] > Mastery [4.57] > Versatility [3.07]"
initTab(stats, 252)

-- DEMON HUNTER HAVOC NOX --
--GH_Globals[577] = { CriticalStrike = 9.08, Mastery = 7.58, Agility = 6.08, Haste = 4.58, Versatility = 3.08 }
stats = "Crit [9.08] > Mastery [7.58] > Agility [6.08] > Haste [4.58] > Versatility [3.08]"
initTab(stats, 577)

-- DEMON HUNTER VENGEANCE NOX --
--GH_Globals[581] = { Stamina = 15.07, Agility = 12.07, Versatility = 9.07, Mastery = 7.57, Haste = 7.57, CriticalStrike = 4.57 }
stats = "Stamina [15.07] > Agility [12.07] > Versatility [9.07] > Mastery [7.57] = Haste [7.57] > Crit [4.57]"
initTab(stats, 581)

-- DRUID BALANCE NOX --
--GH_Globals[102] = { Haste = 12.05, Intellect = 10.55, CriticalStrike = 9.05, Versatility = 8.3, Mastery = 7.55 }
stats = "Haste [12.08] > Intellect [10.58] > Mastery [9.08] > Crit [7.58] = Versatility [7.58]"
initTab(stats, 102)

-- DTUID FERAL NOX --
--GH_Globals[103] = { Agility = 12.01, Mastery = 10.51, CriticalStrike = 9.01, Versatility = 7.51, Haste = 6.01 }
stats = "Agility [12.05] > Mastery [10.55] > Crit [9.05] > Versatility [7.55] > Haste [6.05]"
initTab(stats, 103)

-- DRUID GUARDIAN NOX --
--GH_Globals[104] = { Stamina = 18.05, Versatility = 14.3, Mastery = 13.55, Haste = 12.05, Agility = 10.55, CriticalStrike = 9.05 }
stats = "Stamina [18.03] > Versatility [14.28] > Mastery [13.53] > Haste [12.03] > Agility [10.53] > Crit [9.03]"
initTab(stats, 104)

-- DRUID RESTORATION NOX --
--GH_Globals[105] = { Intellect = 9.05,  Haste = 7.55, CriticalStrike = 6.05,  Mastery = 4.55, Versatility = 3.05 }
stats = "Intellect [9.05] > Haste [7.55] > Crit [6.05] > Mastery [4.55] > Versatility [3.05]"
initTab(stats, 105)

-- HUNTER BEAST MASTERY NOX --
--GH_Globals[253] = { Agility = 9.05, Mastery = 7.55, Haste = 6.05, CriticalStrike = 4.55, Haste = 3.05 }
stats = "Agility [9.07] > Mastery [7.57] > Haste [6.07] > Crit [4.57] > Versatility [3.07]"
initTab(stats, 253)

-- HUNTER MARKSMANSHIP NOX --
--GH_Globals[254] = { Mastery = 9.06, Agility = 7.56, Haste = 6.06, CriticalStrike = 4.56, Versatility = 3.06 }
stats = "Mastery [9.07] > Agility [7.57] > Crit [6.07] > Haste [4.57] > Versatility [3.07]"
initTab(stats, 254)

-- HUNTER SURVIVAL NOX --
--GH_Globals[255] = { Agility = 9.04,  Versatility = 7.54, CriticalStrike = 6.04, Haste = 4.54, Mastery = 3.04 }
stats = "Agility [9.02] > Versatility [7.52] > Haste [6.02] > Crit [4.52] > Mastery [3.02]"
initTab(stats, 255)

-- MAGE ARCANE NOX --			
--GH_Globals[62] = { Intellect = 9.01, Mastery = 7.51, CriticalStrike = 6.76, Versatility = 4.51, Haste = 3.01  }
stats = "Intellect [9.02] > Mastery [7.52] > Crit [6.02] > Versatility [4.52] > Haste [3.02]"
initTab(stats, 62)

-- MAGE FIRE NOX --				
--GH_Globals[63] = { CriticalStrike = 9.03, Intellect = 7.53, Mastery = 6.03, Versatility = 4.53, Haste = 3.03 }
stats = "Intellect [9.06] > Crit [7.56] > Mastery [6.06] > Haste [4.56] > Versatility [3.06]"
initTab(stats, 63)

-- MAGE FROST NOX --			
--GH_Globals[64] = { Intellect = 9.05, Haste = 7.55, CriticalStrike = 6.05, Versatility = 4.55, Mastery = 3.05 }
stats = "Intellect [9.01] > Haste [7.51] > Crit [6.01] > Versatility [4.51] > Mastery [3.01]"
initTab(stats, 64)

-- PALADIN HOLY NOX --	
--GH_Globals[65] = { Intellect = 9.05, CriticalStrike = 7.55, Versatility = 6.05, Mastery = 4.55, Haste = 3.05 }
stats = "Intellect [9.03] > Crit [7.53] > Versatility [6.03] > Mastery [4.53] > Haste [3.03]"
initTab(stats, 65)

-- PALADIN PROTECTION NOX --	
--GH_Globals[66] = { Stamina = 12.07, Haste = 9.07, Versatility = 7.57, Mastery = 6.07, CriticalStrike = 4.57, Strength = 3.07 }
stats = "Stamina [15.08] > Strength [12.08] > Haste [9.08] > Versatility [7.58] > Mastery [6.08] > Crit [4.58]"
initTab(stats, 66)

-- PALADIN RETRIBUTION NOX --	
--GH_Globals[70] = { Strength = 9.08, Haste = 7.58, CriticalStrike = 6.08, Versatility = 6.08, Mastery = 4.58 }
stats = "Strength [9.03] > Haste [7.53] > Crit [6.03] = Versatility [6.03] > Mastery [4.53]"
initTab(stats, 70)

-- MONK BREWMASTER NOX --	
--GH_Globals[268] = { Stamina = 12.02, Haste = 9.02, Mastery = 7.52, CriticalStrike = 7.52, Agility = 6.02, Versatility = 4.52 }
stats = "Stamina [15.03] > Agility [12.03] > Haste [9.03] > Crit [7.53] > Mastery [6.03] > Versatility [4.53]"
initTab(stats, 268)

-- MONK MISTWEAVER NOX --	
--GH_Globals[270] = { Intellect = 9.08, Versatility = 7.58, CriticalStrike = 6.08, Mastery = 4.58, Haste = 4.58 }
stats = "Intellect [9.02] > Versatility [7.52] > Crit [6.02] > Haste [4.52] > Mastery [3.02]"
initTab(stats, 270)

-- MONK WINDWALKER NOX --	
--GH_Globals[269] = { Agility = 9.08, Mastery = 7.58, Versatility = 6.83, CriticalStrike = 6.08, Haste = 4.58 }
stats = "Agility [9.03] > Mastery [7.53] > Crit [6.03] > Versatility [4.53] > Haste [3.03]"
initTab(stats, 269)

-- PRIEST DISCIPLINE NOX --	
--GH_Globals[256] = { Intellect = 9.04, Haste = 7.54, CriticalStrike = 6.04, Mastery = 4.54, Versatility = 3.04 }
stats = "Intellect [9.03] > Haste [7.53] > Crit [6.03] > Mastery [4.53] > Versatility [3.03]"
initTab(stats, 256)

-- PRIEST HOLY NOX --	
--GH_Globals[257] = { Intellect = 9.04, Mastery = 7.54, CriticalStrike = 6.04, Haste = 4.54, Versatility = 3.04 }
stats = "Intellect [9.05] > Mastery [7.55] > Crit [6.05] > Haste [4.55] > Versatility [3.05]"
initTab(stats, 257)

-- PRIEST SHADOW NOX --	
--GH_Globals[258] = { Haste = 9.01, CriticalStrike = 7.51, Mastery = 6.01, Intellect = 4.51, Versatility = 3.01 }
stats = "Intellect [9.06] > Crit [7.56] > Haste [6.06] > Mastery [4.56] > Versatility [3.06]"
initTab(stats, 258)

-- ROGUE ASSASSINATION NOX --	
--GH_Globals[259] = { Agility = 9.02, Mastery = 7.52, CriticalStrike = 6.02, Versatility = 4.52, Haste = 3.02 }
stats = "Agility [9.01] > Mastery [7.51] > Crit [6.01] > Versatility [4.51] > Haste [3.01]"
initTab(stats, 259)

-- ROGUE OUTLAW NOX --	
--GH_Globals[260] = { Agility = 9.01, Versatility = 7.51, CriticalStrike = 6.01, Mastery = 4.51, Haste = 3.01 }
stats = "Agility [9.07] > Versatility [7.57] > Crit [6.07] > Mastery [4.57] > Haste [3.07]"
initTab(stats, 260)

-- ROGUE SUBTLETY NOX --	
--GH_Globals[261] = { Agility = 9.02, Versatility = 7.52, Mastery = 6.02, CriticalStrike = 4.52, Haste = 3.02 }
stats = "Agility [9.05] > Mastery [7.55] > Versatility [6.05] > Crit [4.55] > Haste [3.05]"
initTab(stats, 261)

-- SHAMAN ELEMENTAL NOX --	
--GH_Globals[262] = { Intellect = 9.02, CriticalStrike = 7.52, Haste = 6.02, Versatility = 4.52, Mastery = 3.02 }
stats = "Intellect [9.02] > Mastery [7.52] > Crit [6.02] > Haste [4.52] > Versatility [3.02]"
initTab(stats, 262)

-- SHAMAN ENHANCEMENT NOX --	
--GH_Globals[263] = { Agility = 9.00, Mastery = 7.50, Haste = 6.00, CriticalStrike = 4.50, Versatility = 3.00 }
stats = "Agility [9.05] > Mastery [7.55] > Haste [6.05] > Versatility [4.55] > Crit [3.05]"
initTab(stats, 263)

-- SHAMAN RESTORATION NOX --	
--GH_Globals[264] = { Intellect = 9.00, Mastery = 7.50, CriticalStrike = 6.00, Haste = 4.50,  Versatility = 3.00 }
stats = "Intellect [9.01] > Mastery [7.51] > Crit [6.01] > Haste [4.51] > Versatility [3.01]"
initTab(stats, 264)

-- WARLOCK AFFLICTION NOX --	
--GH_Globals[265] = { Mastery = 9.05, CriticalStrike = 7.55, Haste = 6.8, Intellect = 4.55, Versatility = 3.05 }
stats = "Mastery [9.05] > Crit [7.55] > Haste [6.8] > Intellect [4.55] > Versatility [3.05]"
initTab(stats, 265)

-- WARLOCK DESTRUCTION NOX --	
--GH_Globals[267] = { Intellect = 9.00, Haste = 7.50, CriticalStrike = 6.00, Versatility = 4.50, Mastery = 3.00 }
stats = "Intellect [9.06] > Haste [7.56] > Crit [6.06] > Versatility [4.56] > Mastery [3.06]"
initTab(stats, 267)

-- WARLOCK DEMONOLOGY NOX --	
--GH_Globals[266] = { Haste = 9.00, Intellect = 7.50, CriticalStrike = 6.00, Mastery = 4.50,  Versatility = 3.00 }
stats = "Haste [9.08] > Intellect [7.58] > Crit [6.08] > Mastery [4.58] > Versatility [3.08]"
initTab(stats, 266)

-- WARRIOR ARMS NOX --	
--GH_Globals[71] = { Mastery = 9.00, Strength = 7.50, Versatility = 6.00,  Haste = 4.50, CriticalStrike = 3.00 }
stats = "Mastery [9.03] > Haste [7.53] > Strength [6.03] > Versatility [4.53] > Crit [3.03]"
initTab(stats, 71)

-- WARRIOR PROTECTION NOX --	
--GH_Globals[73] = {Stamina = 12.00, Strength = 9.00, Haste = 7.50, Versatility = 6.75, Mastery = 6.00, CriticalStrike = 4.5 }
stats = "Stamina [12.01] > Strength [9.01] > Haste [7.51] > Mastery [6.01] > Versatility [4.51] > Crit [3.01]"
initTab(stats, 73)

-- WARRIOR FURY NOX --	
--GH_Globals[71] = { Strength = 9.00, Haste = 7.50, Mastery = 6.00, Versatility = 4.50, CriticalStrike = 3.00 }
stats = "Haste [9.06] > Mastery [7.56] > Strength [6.06] > Versatility [4.56] > Crit [3.06]"
initTab(stats, 71)



------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--Définition des Weight Values par specialisation depuis Icy Veins--
-- DK BLOOD Icy --
GH_Globals[250+10000] = {  }

-- DK FROST Icy --
GH_Globals[251+10000] = {  }

-- DK UNHOLY Icy --
GH_Globals[252+10000] = {  }

-- DEMON HUNTER HAVOC Icy --
GH_Globals[577+10000] = {  }

-- DEMON HUNTER VENGEANCE Icy --
GH_Globals[581+10000] = {  }

-- DRUID BALANCE Icy --
GH_Globals[102+10000] = {  }

-- DRUID FERAL Icy --
GH_Globals[103+10000] = {  }

-- DRUID GUARDIAN Icy --
GH_Globals[104+10000] = {  }

-- DRUID RESTORATION Icy --
GH_Globals[105+10000] = {  }

-- HUNTER BEAST MASTERY Icy --
GH_Globals[253+10000] = {  }

-- HUNTER MARKSMANSHIP Icy --
GH_Globals[254+10000] = {  }

-- HUNTER SURVIVAL Icy --
GH_Globals[255+10000] = {  }

-- MAGE ARCANE Icy --
GH_Globals[62+10000] = { Intellect = 1.0, Mastery = 0.85, CriticalStrike = 0.84, Versatility = 0.78, Haste = 0.72 }

-- MAGE FIRE Icy --
GH_Globals[63+10000] = { Intellect = 1.0, CriticalStrike = 1.3, Versatility = 0.84, Haste = 0.81, Mastery = 0.76 }

-- MAGE FROST Icy --
GH_Globals[64+10000] = { Intellect = 1.0, Haste = 0.95, CriticalStrike = 0.91, Versatility = 0.79, Mastery = 0.57 }

-- MONK BREWMASTER Icy --
GH_Globals[268+10000] = {  }

-- MONK MISTWEAVER Icy --
GH_Globals[270+10000] = {  }

-- MONK WINDWALKER Icy --
GH_Globals[269+10000] = {  }

-- PALADIN HOLY Icy --
GH_Globals[65+10000] = {  }

-- PALADIN PROTECTION Icy --
GH_Globals[66+10000] = {  }

-- PALADIN RETRIBUTION Icy --
GH_Globals[70+10000] = {  }

-- PRIEST DISCIPLINE Icy --
GH_Globals[256+10000] = {  }

-- PRIEST HOLY Icy --
GH_Globals[257+10000] = {  }

-- PRIEST SHADOW Icy --
GH_Globals[258+10000] = {  }

-- ROGUE ASSASSINATION Icy --
GH_Globals[259+10000] = { Agility = 1.0, Versatility = 0.69, CriticalStrike = 0.61, Mastery = 0.29, Haste = 0.27 }

-- ROGUE OUTLAW Icy --
GH_Globals[260+10000] = { Agility = 1.0, Versatility = 0.69, CriticalStrike = 0.58, Mastery = 0.54, Haste = 0.49 }

-- ROGUE SUBTLETY Icy --
GH_Globals[261+10000] = { Agility = 1.0, Versatility = 0.7, Mastery = 0.65, CriticalStrike = 0.61, Haste = 0.38 }

-- SHAMAN ELEMENTAL Icy --
GH_Globals[262+10000] = {  }

-- SHAMAN ENHANCEMENT Icy --
GH_Globals[263+10000] = {  }

-- SHAMAN RESTORATION Icy --
GH_Globals[264+10000] = {  }

-- WARLOCK AFFLICTION Icy --
GH_Globals[265+10000] = { Mastery = 1.04, Intellect = 1.0, Haste = 0.86, CriticalStrike = 0.75, Versatility = 0.6 }

-- WARLOCK DEMONOLOGY Icy --
GH_Globals[266+10000] = { Haste = 1.15, Intellect = 1.0, CriticalStrike = 0.75, Mastery = 0.72, Versatility = 0.66 }

-- WARLOCK DESTRUCTION Icy --
GH_Globals[267+10000] = { Intellect = 1.0, Haste = 0.9, CriticalStrike = 0.82, Versatility = 0.7, Mastery = 0.66 }

-- WARRIOR ARMS Icy --
GH_Globals[71+10000] = {  }

-- WARRIOR PROTECTION Icy --
GH_Globals[73+10000] = {  }

-- WARRIOR FURY Icy --
GH_Globals[71+10000] = {  }






function initTab( Stats, Classe )
	stats = Stats

	hate = 0
	intell = 0
	maitrise = 0
	critique = 0
	vers = 0
	agi = 0
	endu = 0
	force = 0
	
	lastWorld = ""
	compteur = 1

	for token in string.gmatch(stats, "[^%s]+") do
  
		if compteur == 1 or compteur == 4 or compteur == 7 or compteur == 10 or compteur == 13 or compteur == 16 or compteur == 19 or compteur == 22 or compteur == 25 or compteur == 28 or compteur == 31 then
    		lastWorld = token
   		end

   		if compteur == 2 or compteur == 5 or compteur == 8 or compteur == 11 or compteur == 14 or compteur == 17 or compteur == 20 or compteur == 23 or compteur == 26 or compteur == 29 or compteur == 32 then
    	 	if lastWorld == "Haste" then
    	 	  	token = token:sub(1, -2)
    		 	token = string.sub(token, 2)
    	 		hate = token
     		end
     		if lastWorld == "Intellect" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			intell = token
     		end
     		if lastWorld == "Mastery" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			maitrise = token
     		end
     		if lastWorld == "Crit" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			critique = token
     		end
     		if lastWorld == "Versatility" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			vers = token
     		end
     		if lastWorld == "Agility" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			agi = token
     		end
     		if lastWorld == "Stamina" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			endu = token
     		end
     		if lastWorld == "Strength" then
     	  		token = token:sub(1, -2)
     	  		token = string.sub(token, 2)
     			force = token
     		end
   		end

		compteur = compteur + 1

	end

GH_Globals[Classe] = { Intellect = intel, Haste = hate, CriticalStrike = critique, Versatility = vers, Mastery = maitrise, Agility = agi, Stamina = endu, Strength = force }

end






